Get one table
GET
/collection/{id}/table/{tableKey}
Path Parameters
idstring
required·
Resource id
tableKeystring
required·
Table key; main is the default table.
Response Body
can_manageboolean
can_useboolean
collection_idstring
created_atstring
descriptionstring
field_countinteger
hidden_field_keysstring[]
is_defaultboolean
keystring
namestring
row_scope_fieldstring,null
row_visibilitystring
Possible values:
allown
schemaobject
fieldsobject[]
8 properties
descriptionstring
idstring
indexedboolean
keystring
namestring
options
requiredboolean
typestring
primary_fieldstring
row_scopeobject,null
unique_keyarray,null
versioninteger
schema_versioninteger
statsobject,null
updated_atstring
updated_by_namestring,null
curl -X GET 'https://api.elaichi.ai/collection/<id>/table/<tableKey>' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json'const response = await fetch('https://api.elaichi.ai/collection/<id>/table/<tableKey>', {
method: 'GET',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/collection/<id>/table/<tableKey>"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())